<!DOCTYPE html>
<html>
<head>

	<meta charset="utf-8">
	<title></title>
	<link rel="stylesheet" type="text/css" href="css/bootstrap.css">
	<link rel="stylesheet" type="text/css" href="css/style.css">

</head>

<body>

	<!-- ***Barre de menu*** -->

<div class="menu container-fluid">
	<div class="navbar-header">
	  <a class="navbar-brand" href="#">ABC</a>
		<ul class="nav navbar-nav">
			<li><a href="#">Test</a></li>
			<li><a href="#">Test</a></li>
			<li><a href="#">Test</a></li>
			<li><a href="#">Test</a></li>
			<li><a href="#">Test</a></li>
		</ul>
	</div>
</div>

	<!-- ***Carroussel*** -->

	<div id="demo-simple-slider" class="slideshow">
		<div>
		<input type="button" class="btn1" value="◀">
		<input type="button" class="btn2" value="▶">
		<ul>
			<li><img src="img/slide1.jpg"></li>
			<li><img src="img/slide2.jpg"></li>
			<li><img src="img/slide3.jpg"></li>
			<li><img src="img/slide4.jpg"></li>
		</ul>
	</div>
</div>

<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8/jquery.min.js"></script>
<script type="text/javascript">

$(document).ready(function() {

            var interval = setInterval(function() {
                $(".slideshow ul").animate({marginLeft:-1920},600,function(){
                $(this).css({marginLeft:0}).find("li:last").after($(this).find("li:first"));
                });
            }, 3000);

            $('.slideshow').on('next', function() {
                $(".slideshow ul").animate({marginLeft:-1920},600,function(){
                $(this).css({marginLeft:0}).find("li:last").after($(this).find("li:first"));
                });
            });
        

            $('.slideshow').on('prev', function() {
                $(".slideshow ul").animate({marginLeft:0},600,function(){
                $(this).css({marginLeft:-1920}).find("li:first").before($(this).find("li:last"));
                });
            });

            $('.btn1').click(function() {
            $('.slideshow').trigger('prev')
            });

            $('.btn2').click(function() {
            $('.slideshow').trigger('next')
            });

            $('.slideshow').mouseenter(function() {
                clearInterval(interval);
            }).mouseleave(function() {
            interval = setInterval(function() {
                $(".slideshow ul").animate({marginLeft:-1920},600,function(){
                $(this).css({marginLeft:0}).find("li:last").after($(this).find("li:first"));
                });
            }, 3000);
        	});
        });

    $(document).on("keydown", function(e) {
        switch (e.which) { 
            case 37:
                $(".slideshow ul").trigger("prev");
                break;
            case 38:
                $(".slideshow ul").trigger("next");
                break;
            case 39:
                $(".slideshow ul").trigger("next");
                break;
            case 40:
                $(".slideshow ul").trigger("prev");
                break;
        }
    });

$('.slideshow ul').on("mousedown"), function(e){

    var baseX = e.offsetX;
    $(this).on("mousemove", function(e){
        console.log(e.offsetX - baseX);
        if (e.offsetX - baseX > 150) {
            $(this).trigger('prev')
        } else if (e.offsetX - baseX < -150){
            $('slideshow ul').trigger('next');
            baseX = e.offsetX;
        }
    });
    $('slideshow ul').on("mouseup", function(){
    $(this).off("mousemove");
});
};

</script>

</body>
</html>